package com.docus.sw.souyin;

import com.docus.sw.fenpan.Roll;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class IndexPlate {

    private String absolutePath;

    private String name;

    private List<Roll> rollList;

    private String zongName;


    public IndexPlate(String absolutePath, String name,String zongName) {
        this.absolutePath = absolutePath;
        this.name = name;
        this.zongName = zongName;
        rollList = new ArrayList<>();
    }

    public void putAll(List<Roll> rollList){
        this.rollList.addAll(rollList);
    }

}
